Package Details: unciv-bin 4.12.0_patch1-0

Git Clone URL: https://aur.archlinux.org/unciv-bin.git (read-only, click to copy)
Package Base: unciv-bin
Description: Open-source remake of Civilization V
Upstream URL: https://github.com/yairm210/Unciv
Keywords: civ civilization unciv
Licenses: MPL-2.0
Conflicts: unciv
Provides: unciv
Submitter: akhial
Maintainer: Thyrum (tiziodcaio)
Last Packager: Thyrum
Votes: 9
Popularity: 0.36
First Submitted: 2021-03-29 08:58 (UTC)
Last Updated: 2024-06-16 15:12 (UTC)

Dependencies (3)

Required by (0)

Sources (3)

Latest Comments

1 2 Next › Last »

Thyrum commented on 2024-04-24 08:50 (UTC) (edited on 2024-04-24 08:55 (UTC) by Thyrum)

I can't say for sure why. Looking at the PKGBUILD history, it has over time changed from jre8-openjdk -> java-runtime>=8 -> java-runtime -> java-environment>8 -> java-environment (apparently the >=8 didn't function properly, which explains a lot of these changes).

I think changing it to java-runtime shouldn't cause any problems so I will do that (see 1c6bc8412419).

Gallifreyan commented on 2024-04-22 10:11 (UTC) (edited on 2024-04-22 16:31 (UTC) by Gallifreyan)

Is there a specific reason this package requires java-environment and not java-runtime? In my understanding the latter is more than sufficient for running things (tested with latest jre-openjdk), with the added benefit of being only a 30MB download as opposed to the former's 300MB.

Thyrum commented on 2023-06-19 10:19 (UTC)

Odd, this package is linked to the github actions for automatic updates. It seems it has triggered on a pre-release, causing the version v5.0_alpha2. For now I have manually updated it to the correct 4.7.2 version, I will have to look into how to prevent it from updating to pre-release verions in the future.

Atom194 commented on 2023-06-19 08:59 (UTC)

What is version v5.0_alpha2? It should be 4.7.2.

Thyrum commented on 2023-04-11 11:17 (UTC)

Due to some error the GitHub 4.5.16-patch1 release doesn't contain a Unciv.jar file, which caused the workflow updating this repo to fail. This is an oddity and not a structural issue.

Thyrum commented on 2023-04-09 21:49 (UTC)

That hopefully has been fixed already (I only just read your comment). This repository is linked to the GitHub workflow of the official Unciv GitHub so it should always be up to date. Weird that it would have been outdated for a short while, I might have to look into that.

cengique commented on 2023-04-08 16:06 (UTC)

There is a patch to 4.5.16.1-1 that fixes a bug crashing the game. Current version is unusable because of this.

octocorvus commented on 2022-07-12 03:12 (UTC)

On Gnome, the Icon=unciv (in Unciv.desktop) does not work. This can be solved by using full path of icon in Unciv.desktop or installing icons to /usr/share/icons.

tiziodcaio commented on 2021-12-20 21:35 (UTC)

Woops... we should revert the last commit, sorry but I was tired

Thyrum commented on 2021-12-20 21:33 (UTC) (edited on 2021-12-20 21:35 (UTC) by Thyrum)

No, it does not. AUR versions may not contain a - so it is changed to a _ in the PKGBUILD. The _pkgver variabele represents the "GitHub version" and the pkgver variable the AUR version.

Edit: this is of course only relevant for the patch releases, which contain a -.